import request from '@/utils/request'

// 查询物联网实时数据列表
export function listRecordIOTInstant(query) {
  return request({
    url: '/ems/record/recordIOTInstant/list',
    method: 'get',
    params: query
  })
}

// 查询物联网实时数据详细
export function getRecordIOTInstant(objid) {
  return request({
    url: '/ems/record/recordIOTInstant/' + objid,
    method: 'get'
  })
}

// 新增物联网实时数据
export function addRecordIOTInstant(data) {
  return request({
    url: '/ems/record/recordIOTInstant',
    method: 'post',
    data: data
  })
}

// 修改物联网实时数据
export function updateRecordIOTInstant(data) {
  return request({
    url: '/ems/record/recordIOTInstant',
    method: 'put',
    data: data
  })
}

// 删除物联网实时数据
export function delRecordIOTInstant(objid) {
  return request({
    url: '/ems/record/recordIOTInstant/' + objid,
    method: 'delete'
  })
}

// 查询电实时数据（曲线）
export function iotInstantList(query) {
  return request({
    url: '/ems/record/recordIOTInstant/iotInstantList',
    method: 'get',
    params: query
  })
}
